#pragma once
#include "MMSG.h"
#include "CIGrid.h"

namespace vcg {


class MMGame 
{
public:
	virtual void XMLWrite(QTextStream &xstrm)
	{
		xstrm << "<CIGridNode>\n";
		xstrm << "</CIGridNode>\n";
	}
	virtual bool XMLRead(QDomElement en, CISG *Base) {return true;};
	virtual void glDraw(const float ){ CIGrid::glDraw(); };


};

// Scene Graph specializzato per tenere anche un unico Grid;
class MMSG : public CISG
{
public :
	virtual CISGNode *Allocate(const QString &classname)
	{
		CISGNode *ret=CISG::Allocate(classname);		
		if(classname=="CIGrid") ret=new CIGridNode();
		
		return ret;
	}	
 CIGridNode *g;
};


}// end namespace